﻿package 
{
	import flash.display.Sprite;
	import flash.events.Event;
	import flash.events.FullScreenEvent;
	import flash.events.MouseEvent;
	import flash.geom.Point;
	import flash.utils.setInterval;

	public class Liner extends Sprite
	{
		public var balls:Array
		public function Liner()
		{
			balls = new Array();
			addEventListener(Event.ADDED_TO_STAGE,addedHandler);
		}
		
		private function addedHandler(e:Event):void
		{
			stage.addEventListener(FullScreenEvent.FULL_SCREEN,fullhandler);
			setInterval(buildScreen,10);
			stage.addEventListener(MouseEvent.MOUSE_MOVE,clickHandler3);
		}
		private function fullhandler(e:FullScreenEvent):void
		{
			balls = new Array();
		}
		
		
		private var index:int = 0;
		private var limit:int = 500;
		private function clickHandler3(e:MouseEvent):void
		{
			var pt:Point = new Point(e.stageX,e.stageY);
			var obj:Object = {"posx":this.globalToLocal(pt).x,"posy":this.globalToLocal(pt).y,"angle":2,"rayon":(Math.random()*2 + 200),"centerY":this.globalToLocal(pt).y};
			//balls[index] = obj;
			balls.push(obj);
			index++;
		}
		
		private function buildScreen():void
		{
			graphics.clear();
			for(var i:Number = 0;i<balls.length;i++){
				graphics.beginFill(0x006699,1);
				graphics.drawCircle(balls[i].posx,balls[i].posy,1);
				graphics.endFill();
				graphics.lineStyle(5,Math.random()*0x444444,.05);
				//draw the lines
				if(i>0){
					graphics.moveTo(balls[i-1].posx,balls[i-1].posy);
					graphics.lineTo(balls[i].posx,balls[i].posy);
				}
				
				graphics.lineStyle(18,Math.random()*0xff9900,.08);
				//set the new position
				balls[i].posy = balls[i].centerY + Math.sin(balls[i].angle*Math.PI/250)*balls[i].angle;
				balls[i].angle++;
				
			}
			balls.sortOn(["posy"],[Array.NUMERIC]);
		}
	}
}